package lsgui.jna;

import com.sun.jna.Library;
import com.sun.jna.Pointer;

public interface LaterationShooterLibrary extends Library {
    
    String LIBRARY_NAME = "ls2";

    String[] get_algorithms();
    
    String[] get_error_models();
    
    String[] get_result_view_names();
    
    int get_number_of_result_views();
    
    int compute_locbased(int alg, int em, int num_threads, long runs,
                 float[] anchor_x, float[] anchor_y, int no_anchors,
                 Pointer[] results, int width, int height);
    
    int cancel_running();
    
}
